Package org.gradle.plugin.devel.plugins

## Class ExternalPluginValidationPlugin

- java.lang.Object
- - org.gradle.plugin.devel.plugins.ExternalPluginValidationPlugin

- All Implemented Interfaces:
    `Plugin<Project>`

      @Incubating
      @CacheableTask
      public abstract class ExternalPluginValidationPlugin
      extends java.lang.Object
      implements Plugin<Project>

  Validates plugins applied to a build, by checking property annotations on work items like tasks and artifact transforms. This plugin is similar to `ValidatePlugins` but instead of checking the plugins written in the current build, it checks the plugins applied to the current build. See the user guide for more information on incremental build and caching task outputs.
  Since:
    7.0

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ExternalPluginValidationPlugin​(org.gradle.api.internal.file.FileOperations fileOperations)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `apply​(Project project)` | Apply this plugin to the given target object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExternalPluginValidationPlugin

          @Inject
          public ExternalPluginValidationPlugin​(org.gradle.api.internal.file.FileOperations fileOperations)

  - ### Method Detail

    - #### apply

          public void apply​(Project project)

      Description copied from interface: `Plugin`
      Apply this plugin to the given target object.
      Specified by:
        `apply` in interface `Plugin<Project>`
      Parameters:
        `project` - The target object